Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.1 Java API Reference 10g Release 3 (10.1.3) B25384-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.liberty.v11
Class LibAuthenticationStatement

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.saml.Statement
oracle.security.xmlsec.saml.SubjectStatement
oracle.security.xmlsec.saml.AuthenticationStatement
oracle.security.xmlsec.liberty.v11.LibAuthenticationStatement`

public class LibAuthenticationStatement
extends oracle.security.xmlsec.saml.AuthenticationStatement

This class represents the AuthenticationStatement element of the type Liberty AuthenticationStatementType. The Liberty AuthenticationStatementType is an extention of saml:AuthenticationStatementType which allows for the following elemets and attributes: AuthnContext, ReauthenticateOnOrAfter and SessionIndex. In adition, the Subject element in a Liberty AuthenticationStatement must be of type Liberty SubjectType.

See Also:
  `LibSubject`, `AuthnContext`

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`LibAuthenticationStatement(org.w3c.dom.Document owner)` Creates a new `LibAuthenticationStatement` instance.
`LibAuthenticationStatement(org.w3c.dom.Document owner, java.lang.String authenticationMethod, java.util.Date authenticationInstant)` Creates a new `LibAuthenticationStatement` instance.

Method Summary
`AuthnContext` | `getAuthnContext()` Gets the AuthnContext element contained in this element.
`java.util.Date` | `getReauthenticateOnOrAfter()` Gets the time specified in the ReauthenticationOnOrAfter attribute in this element.
`java.util.Date` | `getReauthenticationOnOrAfter()` Deprecated. use getReauthenticateOnOrAfter
`java.lang.String` | `getSessionIndex()` Gets the string value in the SessionIndex attribute in this element.
`oracle.security.xmlsec.saml.Subject` | `getSubject()` Gets the `Subject` of this Liberty AuthenticationStatement element.
`void` | `setAuthnContext(AuthnContext authnContext)` Sets the AuthnContext child element of this element.
`void` | `setReauthenticateOnOrAfter(java.util.Date reAuthnTime)` Sets the ReauthenticationOnOrAfter attribute that contains the time at which the service provider reauthenticates the Principle with the identity provider.
`void` | `setReauthenticationOnOrAfter(java.util.Date reAuthnTime)` Deprecated. use setReauthenticateOnOrAfter
`void` | `setSessionIndex(java.lang.String sessionIndex)` Sets the SessionIndex attribute that contains index into the particular session between the identity provider and the Principle under which this authentication statement is being issued.

Methods inherited from class oracle.security.xmlsec.saml.AuthenticationStatement
`addAuthorityBinding, getAuthenticationInstant, getAuthenticationMethod, getAuthorityBindings, getSubjectLocality, setAuthenticationInstant, setAuthenticationMethod, setSubjectLocality`

Methods inherited from class oracle.security.xmlsec.saml.SubjectStatement
`setSubject`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LibAuthenticationStatement

    public LibAuthenticationStatement(org.w3c.dom.Document owner)
                               throws org.w3c.dom.DOMException

  Creates a new `LibAuthenticationStatement` instance.
Parameters:
  `owner` - The owner document of the new LibAuthenticationStatement.

### LibAuthenticationStatement

    public LibAuthenticationStatement(org.w3c.dom.Document owner,
                                      java.lang.String authenticationMethod,
                                      java.util.Date authenticationInstant)
                               throws org.w3c.dom.DOMException

  Creates a new `LibAuthenticationStatement` instance.
Parameters:
  `owner` - The owner document of the new LibAuthenticationStatement.
  `authenticationMethod` - The `AuthenticationMethod` attribute.
  `authenticationInstant` - The `AuthenticationInstant` attribute.

Method Detail

### getSubject

    public oracle.security.xmlsec.saml.Subject getSubject()

  Gets the `Subject` of this Liberty AuthenticationStatement element. Override the super class method to return an instance of `LibSubject`.

### setReauthenticationOnOrAfter

    public void setReauthenticationOnOrAfter(java.util.Date reAuthnTime)

  Deprecated. use setReauthenticateOnOrAfter
  Sets the ReauthenticationOnOrAfter attribute that contains the time at which the service provider reauthenticates the Principle with the identity provider.

### getReauthenticationOnOrAfter

    public java.util.Date getReauthenticationOnOrAfter()

  Deprecated. use getReauthenticateOnOrAfter
  Gets the time specified in the ReauthenticationOnOrAfter attribute in this element.

### setReauthenticateOnOrAfter

    public void setReauthenticateOnOrAfter(java.util.Date reAuthnTime)

  Sets the ReauthenticationOnOrAfter attribute that contains the time at which the service provider reauthenticates the Principle with the identity provider.

### getReauthenticateOnOrAfter

    public java.util.Date getReauthenticateOnOrAfter()

  Gets the time specified in the ReauthenticationOnOrAfter attribute in this element.

### setSessionIndex

    public void setSessionIndex(java.lang.String sessionIndex)

  Sets the SessionIndex attribute that contains index into the particular session between the identity provider and the Principle under which this authentication statement is being issued.

### getSessionIndex

    public java.lang.String getSessionIndex()

  Gets the string value in the SessionIndex attribute in this element.

### setAuthnContext

    public void setAuthnContext(AuthnContext authnContext)

  Sets the AuthnContext child element of this element. Also sets the AuthenticationMethod attribute to the Liberty authentication context namespace "http://projectliberty.org/schemas/authctx/2002/05" as required. The AuthnContext contains the authentication context that the identity provider used in the authentication event that yielded this authentication statement.

### getAuthnContext

    public AuthnContext getAuthnContext()

  Gets the AuthnContext element contained in this element.
  Returns:
    An `AuthnContext` object or `null` if not specified.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.1 Java API Reference 10g Release 3 (10.1.3) B25384-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.